/*----------------------

   GATE - Geant4 Application for Tomographic Emission 
   OpenGATE Collaboration 
   OpenGATE Cluster Taskforce
  
   Jan De Beenhouwer <jan.debeenhouwer@ugent.be> 
     
   Copyright (C) 2005 ELIS, University of Ghent
   B-9000 Ghent, Belgium  

   JDB updated env vars to GC_ format & updated error handling 2.8.2005

This software is distributed under the terms 
of the GNU Lesser General  Public Licence (LGPL) 
See GATE/LICENSE.txt for further details 
----------------------*/

#ifndef GateSplitManager_h
#define GateSplitManager_h 1
#include "globals.hh"
#include "vector"
#include "GateToPlatform.hh"
#include "GateMacfileParser.hh"

/*use this class as a manager class for the whole program*/

class GateSplitManager
{
public:

  GateSplitManager(G4int nAliases,G4String* aliases,G4String platform,G4String pbsscript,G4String condorscript,G4String macfile,G4int nSplits,G4int time);
  ~GateSplitManager();
  void SetVerboseLevel(G4int value) { m_verboseLevel = value; };
  void StartSplitting();

protected:

  GateToPlatform*    toPlatform;
  GateMacfileParser* macParser;
  G4String      m_name;       
  G4int         m_verboseLevel;  
  void CleanAbort();
  void CheckEnvironment();
  G4int numberOfSplits;
};



#endif
